<?xml version="1.0" encoding="utf-8" ?>
<Recipe xmlns="http://schemas.microsoft.com/pag/gax-core"
        xmlns:xi="http://www.w3.org/2001/XInclude">
	<!--<Arguments>
		<Argument Name="EntLibPath" Required="false">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.OS.LocalMachineEntryProvider, Microsoft.Practices.RecipeFramework.Extensions"
						   RegistryPath="Software\Microsoft\patterns and practices\Service Factory" RegistryEntry="EntlibBinaryPath"/>
		</Argument>
		<Argument Name="CommonAssembly" Required="false">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.OS.PathCreatorProvider, Microsoft.Practices.RecipeFramework.Extensions"
							PathArgument="EntLibPath" File="Microsoft.Practices.EnterpriseLibrary.Common.dll" />
		</Argument>
		<Argument Name="DataAssembly" Required="false">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.OS.PathCreatorProvider, Microsoft.Practices.RecipeFramework.Extensions"
							PathArgument="EntLibPath" File="Microsoft.Practices.EnterpriseLibrary.Data.dll" />
		</Argument>
		<Argument Name="RegistryHiveExists" Type="System.Boolean">
			<ValueProvider Type="Microsoft.Practices.RecipeFramework.Extensions.ValueProviders.General.IsNotNullProvider, Microsoft.Practices.RecipeFramework.Extensions"
					  Argument="EntLibPath" />
		</Argument>
	</Arguments>-->
	<GatheringServiceData>
		<Wizard xmlns="http://schemas.microsoft.com/pag/gax-wizards" SchemaVersion="1.0">
			<Pages>
				<Page Type="Howest.Guidance.DataAccess.CustomWizardPages.EntityCommandMapperCP, Howest.Guidance.DataAccess"
				  Height="470" Width="530">
					<Title>Mapping properties</Title>
					<LinkTitle>Specify mapping between entities and database command</LinkTitle>
					<Help>Specify the mapping between entities and database command.</Help>
				</Page>
			</Pages>
		</Wizard>
	</GatheringServiceData>
	<Actions>
		<xi:include href="CreateGenericDataAccessorAssets.xml"
				xpointer="xmlns(gax=http://schemas.microsoft.com/pag/gax-core) xpointer(/gax:Recipe/gax:Actions/gax:Action)" />
		<Action
			  Name="GenerateEntityDataAccessors"
			  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
			  Template="T4\DAC\EntityDataAccessor.t4">
			<Input Name="Entities" RecipeArgument="EntitiesSqlStatementMappings"/>
			<Input Name="DataEntityClassNamespace" RecipeArgument="DataEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action Name="AddEntityDataAccessors"
					  Type="Howest.Guidance.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Howest.Guidance.DataAccess"
					  Open="true"
					  Overwrite="true"
					  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateEntityDataAccessors.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<!--<Action
			  Name="GenerateEntityFactory" Condition="$(RegistryHiveExists)"
			  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
			  Template="T4\DAC\EntityFactory.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
				Name="AddEntityFactory" Condition="$(RegistryHiveExists)"
					  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
					  Open="true"
					  Overwrite="true"
					  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateEntityFactory.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<Action
				Name="GenerateEntityInsertFactory" Condition="$(RegistryHiveExists)"
				Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
				Template="T4\DAC\EntityInsertFactory.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
			Name="AddEntityInsertFactory" Condition="$(RegistryHiveExists)"
				  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
				  Open="true"
				  Overwrite="true"
				  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateEntityInsertFactory.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<Action
				  Name="GenerateEntityUpdateFactory" Condition="$(RegistryHiveExists)"
				  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
				  Template="T4\DAC\EntityUpdateFactory.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
			Name="AddEntityUpdateFactory" Condition="$(RegistryHiveExists)"
				  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
				  Open="true"
				  Overwrite="true"
				  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateEntityUpdateFactory.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<Action
				  Name="GenerateDeleteAddFactory" Condition="$(RegistryHiveExists)"
				  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
				  Template="T4\DAC\EntityDeleteFactory.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
				Name="AddEntityDeleteFactory" Condition="$(RegistryHiveExists)"
					  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
					  Open="true"
					  Overwrite="true"
					  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateDeleteAddFactory.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<Action
			  Name="GenerateEntitySelectionFactory" Condition="$(RegistryHiveExists)"
			  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
			  Template="T4\DAC\EntitySelectionFactory.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
				Name="AddEntityEntitySelectionFactory" Condition="$(RegistryHiveExists)"
					  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
					  Open="true"
					  Overwrite="true"
					  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateEntitySelectionFactory.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>
		<Action
			  Name="GenerateIdentity" Condition="$(RegistryHiveExists)"
			  Type="Microsoft.Practices.RecipeFramework.VisualStudio.Library.Templates.TextTemplateAction, Microsoft.Practices.RecipeFramework.VisualStudio.Library"
			  Template="T4\DAC\Identity.t4">
			<Input Name="Entities" RecipeArgument="EntitiesStoredProcedureMappings"/>
			<Input Name="BusinessEntityClassNamespace" RecipeArgument="BusinessEntityClassNamespace"/>
			<Input Name="DataAccessClassNamespace" RecipeArgument="DataAccessClassNamespace"/>
			<Output Name="Content"/>
		</Action>
		<Action
				Name="AddIdentity" Condition="$(RegistryHiveExists)"
					  Type="Microsoft.Practices.ServiceFactory.DataAccess.Actions.VisualStudio.SplitAndAddItemsFromStringAction, Microsoft.Practices.ServiceFactory.DataAccess"
					  Open="true"
					  Overwrite="true"
					  ShowConfirmation="false">
			<Input Name="Content" ActionOutput="GenerateIdentity.Content" />
			<Input Name="Project" RecipeArgument="DataAccessProject" />
		</Action>-->
	</Actions>
</Recipe>